# 使用轻量级测试基础镜像
FROM node:20.18.3-alpine

RUN apk update && apk add python3 build-base

# 设置工作目录
WORKDIR /app

# 复制package.json .npmrc和package-lock.json
COPY package.json .npmrc package-lock.json* ./

# 安装依赖
RUN npm install

# 复制项目文件
COPY . .

EXPOSE 23972

# 运行测试
CMD ["sleep", "infinity"]